Subject: How to learn exact spelling of directories and files: /temp vs. / TEMP etc.
From: "Tolkin, Steve" <[email-masked]>
To: "'cygwin'" <[email-masked]>
Cc: "'Corinna Vinschen'" <[email-masked]>
Date: Mon, 5 Jun 2000 10:34:21 -0400

Dear Corrina (who will get a cc of this post), 
	Thanks for your response to my earlier email.
> > 3.  Why doesn't ls tem* find the directory named temp ?
> 
> Your TEMP directory has uppercase characters in it's name.
> The pattern matching is case sensitive by default.
> If you call `ls temp', no pattern matching takes place,
> so the directory is found because the Windows file systems
> aren't case sensitive but only case preserving.

So now it become VERY important for me to determine the actual spelling of
the name, i.e. which letters if any are capitalized.  How can I do that?
Neither ls nor \w in the PS1 prompt tells me that!  
They both just use the same capitalization I provided in the command!

598/> ls -ld temp
drwxrwxrwt   8 administ SYSTEM      32768 Jun  5 09:45 temp
599/> ls -ld TEMP
drwxrwxrwt   8 administ SYSTEM      32768 Jun  5 09:45 TEMP
616/TEMp> ls -ldn ../tEmP
drwxrwxrwt   8 544      18          32768 Jun  5 10:04 ../tEmP
617/TEMp> ls -ldn ../TemP
drwxrwxrwt   8 544      18          32768 Jun  5 10:04 ../TemP
...
644/tEmP> cd /TEMP
645/TEMP> cd /temp
646/temp> cd /tEmP
647/tEmP>

Similarly I want to learn the exact spelling of file names.

Steve

--
Want to unsubscribe from this list?
Send a message to [email-masked]